-- Copyright (c) 2012 Cloudera, Inc. All rights reserved.
--
-- Version 04501 of the CMF schema. Migration code to be applied on top of the
-- previous version.
--

update SCHEMA_VERSION set VERSION=04501;

-- New table for parcel metadata.
create table PARCELS (
    PARCEL_ID bigint not null,
    PRODUCT varchar(255) not null,
    VERSION varchar(255) not null,
    OS varchar(255) not null,
    FILENAME varchar(255) not null unique,
    HASH varchar(255) not null,
    BINARY_DIFF bit,
    BASE_PARCEL_ID bigint,
    STATUS varchar(255) not null,
    primary key (PARCEL_ID)
) engine=InnoDB;

alter table PARCELS
    add index FK_BASE_PARCEL (BASE_PARCEL_ID),
    add constraint FK_BASE_PARCEL
    foreign key (BASE_PARCEL_ID)
    references PARCELS (PARCEL_ID);
